Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Interface IFontDecorator

    public interface IFontDecorator

The IFontDecorator is an interface for objects that return a font to decorate an object. If an IFontDecorator decorates a font in an object that also has an IFontProvider the IFontDecorator will take precedence.

Since:
  3.1
See Also:
  `IFontProvider`

Method Summary
`Font` `decorateFont(Object element)` Return the font for element or `null` if there is not one.

Method Detail

### decorateFont

    Font decorateFont(Object element)

  Return the font for element or `null` if there is not one.

  Parameters:
    `element` -
  Returns:
    Font or `null`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.